Bug 5639 - ILS-DI fixes
Summary: ILS-DI fixes
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Target Milestone: ---
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 5992
  Show dependency treegraph
 
Reported: 2011-01-19 22:00 UTC by Paul Poulain
Modified: 2013-12-05 20:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (6.52 KB, patch)
2011-03-31 20:25 UTC, Chris Cormack
Details | Diff | Splinter Review
Signed off patch (6.57 KB, patch)
2011-05-12 23:09 UTC, Chris Cormack
Details | Diff | Splinter Review
proposed patch (passed QA) (6.61 KB, patch)
2011-08-04 12:28 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2011-01-19 22:00:59 UTC
Some problems on ILS-DI :
* the returned string when no valid results is wrong
* when querying for records, don't return xml to avoid having a too large file returned
* authority search don't return a correct structure
Comment 1 Chris Cormack 2011-03-31 20:25:12 UTC Comment hidden (obsolete)
Comment 2 MJ Ray (software.coop) 2011-04-07 10:51:00 UTC
This bug is mentioned in:
Bug 5639 (MT #3605) Fix escaping in ILSDI http://lists.koha-community.org/pipermail/koha-patches/2011-March/014409.html
Comment 3 Chris Cormack 2011-05-12 23:09:40 UTC Comment hidden (obsolete)
Comment 4 Paul Poulain 2011-08-04 12:27:46 UTC
1- this is not en ENH, but a bugfix
2- it also solves the case of a xml special char (<, >, &) is in the biblio (and must be escaped)
Comment 5 Paul Poulain 2011-08-04 12:28:52 UTC
Created attachment 4839 [details] [review]
proposed patch (passed QA)

QA comment

No specific comment, except the previous one: this patch does something not explicited
Comment 6 Chris Cormack 2011-08-04 21:08:38 UTC
Only effects ILS-DI, appears to work fine, pushed.
Comment 7 Jared Camins-Esakov 2012-12-31 00:12:06 UTC
There have been no further reports of problems so I am marking this bug resolved.